/subscriptions/{id}
GET
/subscriptions/{id}
const url = 'https://example.com/subscriptions/example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/subscriptions/exampleRetrieves the merchant-owned current state for a Proxy subscription.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “ Path Parameters ”id
required
string
Responses
Section titled “ Responses ”Default Response
Media typeapplication/json
object
buyer_reference
required
string
cancel_at
required
null | string
cancel_at_period_end
required
boolean
configuration_reason
required
null | string
configuration_status
required
string
created_at
required
string
current_period_end
required
null | string
current_period_start
required
null | string
ended_at
required
null | string
id
required
string
items_source_hash
required
null | string
items_updated_at
required
null | string
latest_invoice_amount_minor
required
null | integer
latest_invoice_currency
required
null | string
latest_invoice_id
required
null | string
latest_payment_status
required
null | string
original_proxy_session_id
required
string
pause_collection_behavior
required
null | string
provider_checkout_session_id
required
null | string
provider_subscription_id
required
string
psp
required
string
status
required
string
trial_end
required
null | string
updated_at
required
string
diagnostic
required
object
provider_customer_id
required
null | string
items
required
Array<object>
object
interval
required
string
interval_count
required
integer
provider_product_id
required
null | string
quantity
required
integer
usage_type
required
string
provider_price_id
required
string
Example
{ "configuration_status": "action_required", "items": [ { "interval": "day", "usage_type": "licensed" } ]}Default Response
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example" }}Default Response
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example" }}Default Response
Media typeapplication/json
object
error
required
object
code
required
string
message
required
string
request_id
required
string
Examplegenerated
{ "error": { "code": "example", "message": "example", "request_id": "example" }}